<!-- 
This README describes the package. If you publish this package to pub.dev,
this README's contents appear on the landing page for your package.

For information about how to write a good package README, see the guide for
[writing package pages](https://dart.dev/guides/libraries/writing-package-pages). 

For general information about developing packages, see the Dart guide for
[creating packages](https://dart.dev/guides/libraries/create-library-packages)
and the Flutter guide for
[developing packages and plugins](https://flutter.dev/developing-packages). 
-->

Map a `Future<InitialType>` to a `Future<TargetType>`.

<!--
## Features

TODO: List what your package can do. Maybe include images, gifs, or videos.

## Getting started

TODO: List prerequisites and provide or point to information on how to
start using the package.

-->
## Usage

```dart
final Future<int> intFuture = Future.value(3);
final Future<String> convertedFuture =
  intFuture.map((myInt) => 'My int converted $myInt');
final String convertedResult = await convertedFuture;
```

Useful for converting library futures to custom model futures:
```dart
final Future<CustomModel> customFuture =
  libraryFuture.map((libraryModel) => (CustomModel(libraryModel.property)));
final customModelResult = await customFuture;
```

<!--
## Additional information

TODO: Tell users more about the package: where to find more information, how to 
contribute to the package, how to file issues, what response they can expect 
from the package authors, and more.

-->