import 'package:future_helper/future_helper.dart';

main() async {
  final Future<int> intFuture = Future.value(3);
  final Future<String> convertedFuture =
      intFuture.map((myInt) => 'My int converted $myInt');
  final String convertedResult = await convertedFuture;

  // useful for converting library futures to custom model futures:
  final Future<CustomModel> customFuture =
      libraryFuture.map((libraryModel) => (CustomModel(libraryModel.property)));
  final customModelResult = await customFuture;
}

final Future<LibraryModel> libraryFuture = Future.value(LibraryModel());

class LibraryModel {
  final String property = "lib property";
}

class CustomModel {
  final String myProperty;

  CustomModel(this.myProperty);
}
